glab(1)

NAME

glab-config-set - Updates configuration with the value of a given key

SYNOPSIS

glab config set [flags]

DESCRIPTION

Update the configuration by setting a key to a value. Use glab config set --global if you want to set a global config. Specifying the --hostname flag also saves in the global config file

OPTIONS

-g, --global[=false]
    Write to global ~/.config/glab-cli/config.yml file rather than the repository .git/glab-cli/config.yml file

-h, --host=""
    Set per-host setting

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE
      glab config set editor vim
      glab config set token xxxxx -h gitlab.com
      glab config set check_update false --global

SEE ALSO

glab-config(1)